



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>ROS的文件系统</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">ROS的文件系统</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-16 14:31:10 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>这篇博客介绍一下ROS的<strong>文件系统</strong>的基本概念，用户可以直接在官方网站：<a href="http://wiki.ros.org/ROS/Tutorials/NavigatingTheFilesystem" rel="external nofollow noreferrer">http://wiki.ros.org/ROS/Tutorials/NavigatingTheFilesystem</a>去查看官方手册。</p>
<p>ROS文件系统中的两个最基本的概念：<strong>Package</strong>和<strong>Manifest</strong>，即包和清单文件。</p>
<p>（1）Package是组织ROS代码的最基本单位，每一个Package都可以包括库文件，可执行文件，脚本及其它的一些文件。</p>
<p>（2）Manifest文件是对Package的相关信息的一个描述。他提供了Package之间的依赖性，以及一个包的元信息，比如版本、维护着和许可证等信息。</p>
<p>文件系统提供了几个很有用的命令行的工具，专门用来对ROS的文件系统进行操作。</p>
<hr />
<p>rospack被用来获取一个包的相关信息，这里只介绍它的find选项，用法如下：</p>
<div>
<pre class="prettyprint linenums"># rospack find [package_name]</pre>
</div>
<p>您可以在一个新打开的终端中输入如下命令：</p>
<div>
<pre class="prettyprint linenums">rospack find roscpp</pre>
</div>
<p>就可以找到roscpp这个包的位置信息，可能会返回类似于下面的这种结果：</p>
<div>
<pre class="prettyprint linenums">/opt/ros/hydro/share/roscpp</pre>
</div>
<hr />
<p>roscd命令允许您利用包的名字直接切换到相应的文件目录下，当然这是对ROS文件系统而言，它的使用方法如下:</p>
<div>
<pre class="prettyprint linenums">roscd [locationname[/subdir]]</pre>
</div>
<p>举一个例子，直接在终端输入：</p>
<div>
<pre class="prettyprint linenums">roscd roscpp</pre>
</div>
<p>就可以直接切换到roscpp这个文件的目录下，可以使用如下命令来进行验证：</p>
<div>
<pre class="prettyprint linenums">pwd</pre>
</div>
<p>返回的结果类似与如下形式：</p>
<div>
<pre class="prettyprint linenums">/opt/ros/hydro/share/roscpp</pre>
</div>
<p>roscd将只能打开存在于环境变量ROS_PACKAGE_PATH中的目录及其子目录(也就是包)，您可以使用如下命令来查看ROS_PACKAGE_PATH中的内容：</p>
<div>
<pre class="prettyprint linenums">echo $ROS_PACKAGE_PATH</pre>
</div>
<p>您所看到的结果可能类似于以下的情况：</p>
<div>
<pre class="prettyprint linenums">/opt/ros/hydro/base/install/share:/opt/ros/hydro/base/install/stacks</pre>
</div>
<p>每一个路径使用&ldquo;：&rdquo;分割。</p>
<hr />
<p>rosls能够让您直接利用包的名字，去列举包中的所有文件即文件夹，而不用使用绝对路径。它的使用和roscd是一样的，只有存在于ROS_PACKAGE_PATH中的目录及其子目录才能使用这个命令。使用方法如下：</p>
<div>
<pre class="prettyprint linenums"># rosls [locationname[/subdir]]</pre>
</div>
<p>例子如下：</p>
<div>
<pre class="prettyprint linenums">rosls roscpp_tutorials</pre>
</div>
<p>总结:</p>
<p>这篇博文主要介绍了ROS的文件系统中两个重要的概念:包和清单文件.同时介绍了一些必须熟练使用的命令行工具.</p>
<p>rospack,roscd,rosls.</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/2q77e21q.html">如何处理 在html中 li 的高度自适应（且li里面的内容有浮动的情况下）</a>
		</li>
						<li><a href="https://www.batexi.com/a/390ew1jq.html">【zz】matlab 腐蚀膨胀算法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmjvp79.html">IDEA的查询引用、调用关系图的功能</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv3jpoq.html">OK335xS davinci mdio driver hacking</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnjx4d8.html">Parse和Convert的区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mexjzrq.html">Java爬虫--Https绕过证书</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kpxyy79.html">【前端性能】Web 动画帧率（FPS）计算</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7z447g9.html">使用Percona Data Recovery Tool for InnoDB恢复数据</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwj7m1l8.html">安装完Ubuntu后要做的事情</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m22722q.html">mysql中计算日期整数差</a>
		</li>
						<li><a href="https://www.batexi.com/a/960d6n49.html">Robot Framework问题记录</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25zd7vq.html">PTA 7-3 jmu-ds-单链表的基本运算（15 分）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5xy14q.html">【python】pandas display选项</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2xo1z9.html">JavaScript相关基础知识点</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnn16ygq.html">Oracle优化技巧</a>
		</li>
						<li><a href="https://www.batexi.com/a/902rrynq.html">Spring MVC 零配置 &sol; Spring MVC JavaConfig</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jmpd3e9.html">Android 引入外部模块编译选择</a>
		</li>
						<li><a href="https://www.batexi.com/a/953zpkm8.html">ef oracle参数化问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/963g2139.html">Apple Developer Registration and DUNS Number Not Accepted</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwlg5kz9.html">iOS水波纹效果</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qn13eex8.html">Android上下左右滑动，显示底层布局</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j0k75wq.html">git 删除远程主分支及其它操作</a>
			</li>
						<li><a href="https://www.batexi.com/a/96o1wky9.html">javascript高级知识点&mdash;&mdash;继承</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn13xy28.html">IsPostBack是什么意思，如何运用？</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1wevr9.html">jsp相对路径和绝对路径小谈</a>
			</li>
						<li><a href="https://www.batexi.com/a/96o1r2y9.html">JavaWeb Filter--过滤器 简介</a>
			</li>
						<li><a href="https://www.batexi.com/a/90vo3w48.html">XenDesktop 5 PowerShell SDK Primer &ndash; Part 2 &ndash; Creating Hypervisor Connections and Hosts</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gmlo149.html">Windows使用过程中的一些常见问题的解决方案</a>
			</li>
						<li><a href="https://www.batexi.com/a/8mng12oq.html">无法下载图片  App Transport Security has blocked a cleartext HTTP &lpar;http&colon;&sol;&sol;&rpar; resource load since it is insecure&period; Temporary exceptions can be configured via your app&amp;&num;39&semi;s Info&period;plist file</a>
			</li>
						<li><a href="https://www.batexi.com/a/90vo6wj8.html">QF&mdash;&mdash;OC内存管理详解</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
